Skip to main content
GET
/
payment-accounts
/
{paymentAccountId}
Get payment account
curl --request GET \
  --url https://api.fernhq.com/payment-accounts/{paymentAccountId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fernhq.com/payment-accounts/{paymentAccountId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fernhq.com/payment-accounts/{paymentAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "paymentAccountId": "11111111-2222-3333-4444-555555555555",
  "paymentAccountType": "EXTERNAL_BANK_ACCOUNT",
  "nickname": "Operating Account",
  "createdAt": "2025-10-30T12:00:00Z",
  "customerId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "paymentAccountStatus": "ACTIVE",
  "externalBankAccount": {
    "bankAccountType": "CHECKING",
    "bankAccountOwnerName": "Acme Corp",
    "bankAccountOwnerEmail": "finance@acme.com",
    "bankName": "Chase Bank",
    "bankAccountCurrency": {
      "label": "USD"
    },
    "bankAccountMask": "***6789",
    "bankAccountPaymentMethod": "ACH"
  },
  "isThirdParty": false
}

Authorizations

Authorization
string
header
required

To authenticate server-side requests

Path Parameters

paymentAccountId
string<uuid>
required

Unique identifier of the payment account

Response

Get Payment Account Response

Response schema for a payment account

paymentAccountId
string<uuid>
required

The id of the payment account

Example:

"03b7030f-6da1-4d76-9352-cdebd82112c8"

paymentAccountType
enum<string>
required

Type of payment account to create

Available options:
FERN_CRYPTO_WALLET,
EXTERNAL_CRYPTO_WALLET,
EXTERNAL_BANK_ACCOUNT,
FERN_AUTO_FIAT_ACCOUNT,
FERN_FIAT_ACCOUNT
Example:

"EXTERNAL_BANK_ACCOUNT"

paymentAccountStatus
enum<string>
required

The status of the payment account

Available options:
PENDING,
ACTIVE,
DEACTIVATED
Examples:

"ACTIVE"

"PENDING"

"DEACTIVATED"

nickname
string

Nickname for customer to use for the payment account

Example:

"Savings Account"

createdAt
string<date-time>

ISO timestamp when this transaction was created

customerId
string<uuid>

The id of the customer this payment account belongs to

Example:

"03b7030f-6da1-4d76-9352-cdebd82112c8"

externalBankAccount
External Bank Account Response Schema · object

Response schema for external bank accounts

fernAutoFiatAccount
Fern Auto Fiat Account Response Schema · object

Response schema for Fern auto fiat accounts

fernFiatAccount
Fern Fiat Account Response Schema · object

Response schema for Fern fiat accounts

externalCryptoWallet
External Crypto Wallet Response Schema · object

Response schema for external crypto wallets

fernCryptoWallet
Fern Crypto Wallet Response Schema · object

Response schema for Fern crypto wallets

isThirdParty
boolean
default:false

Whether the payment account is a third-party account. Defaults to false.

Example:

false